/// <reference types="react" />
export interface ApplicationData {
    cid: string;
    uri: string;
    appName: string;
    peerId: string | null;
    actions: string[];
    routes: string[];
    merkleRoots: Record<string, string>;
    chainImplementations: Record<string, string[]>;
    peers: {
        gossip: Record<string, {
            lastSeen: number;
        }>;
        sync: Record<string, {
            lastSeen: number;
        }>;
    } | null;
}
export interface CanvasContextValue {
    isLoading: boolean;
    error: Error | null;
    host: string | null;
    data: ApplicationData | null;
    ws: WebSocket | null;
}
export declare const CanvasContext: import("react").Context<CanvasContextValue>;
